// Capacitance of a parallel plate capacitor
// SCILAB source file: ex1902.sce
// Get data from dialogue box
txt = ['Relative permittivity of the dielectric';'Area of plates in sq. cm';'Plate separation in mm'];
var = x_mdialog('Enter relative permittivity, plate area and separation',txt,['15';'10';'1']);
er = evstr(var(1));
A = 1E-4 * evstr(var(2));
d = 1E-3 * evstr(var(3));
// Permeability of free space e0 in F/m
e = 8.854E-12; 
// Calculate capacitance
C = (e * er * A) / d;
C = C * 1E+9
// Display result
messagebox("Capacitance = " + string(C) + " nF")



